Subject: Re: bug#44660: [feature/native-comp] defalias to macro in compiled elisp seems to not work in smartparens

From: Andrea Corallo <[email-masked]>
Date: Mon, 16 Nov 2020 14:38:15 +0000

Jim Myhrberg <[email-masked]> writes:

> Hi Andrea,
>
> Yep, it does indeed fix it. I assume it's related to byte compilation
> then, and not native-comp? Thanks for your quick response, and I'm
> sorry for wasting your time with this :(

Hi Jim,

yes this "front-end" related.

To have top level forms taking effect in the compile time those has to
be enclosed into `eval-when-compile' or `cl-eval-when'.

You should be able to see the same issue from command line using like
`batch-byte-compile-file'.

I'm closing this, thanks for reporting!

  Andrea